Bug 524871

Summary: anaconda traceback when it encounters encrypted partition.
Product: [Fedora] Fedora Reporter: Dave Jones <davej>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: anaconda-maint-list, dlehman, pfrields, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-01-07 01:38:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Dave Jones 2009-09-22 14:31:40 UTC
on a box with an encrypted root from an f11 install, anaconda spat out this traceback after I entered my password.

anaconda 12.26 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/lvm.py", line 405, in lvactivate
    raise LVMError("lvactivate failed for %s" % lv_name)
  File "/usr/lib/anaconda/storage/devices.py", line 2036, in setup
    lvm.lvactivate(self.vg.name, self._name)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1460, in handleUdevLVMPVFormat
    lv_device.setup()
  File "/usr/lib/anaconda/storage/devicetree.py", line 1685, in handleUdevDeviceFormat
    self.handleUdevLVMPVFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1276, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/usr/lib/anaconda/storage/devicetree.py", line 1909, in populate
    self.addUdevDevice(dev)
  File "/usr/lib/anaconda/storage/__init__.py", line 328, in reset
    self.devicetree.populate()
  File "/usr/lib/anaconda/storage/__init__.py", line 94, in storageInitialize
    storage.reset()
  File "/usr/lib/anaconda/dispatch.py", line 204, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 127, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1205, in nextClicked
    self.anaconda.dispatch.gotoNext()
LVMError: lvactivate failed for lv_root

Local variables in innermost frame:
args: ['lvchange', '-a', 'y', 'vg_vaio/lv_root']
lv_name: lv_root
vg_name: vg_vaio
rc: -11

Comment 1 Chris Lumens 2009-09-22 14:33:18 UTC
Please attach the complete /tmp/anaconda-tb-* file to this bug report.  It contains such useful information as what lvm was doing when it decided to fail.

Comment 2 Bug Zapper 2009-11-16 12:46:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping